# This is the default configuration file for pull indexing.
# Please see plugins/generic/lucene/README for more information
# about indexing modes and embedded vs. central server deployment.
#
# The following default configuration works unchanged when
# working with an embedded solr server that indexes articles
# from a single OJS installation. Please read the inline
# comments for hints how to change the file in case you
# index articles from several OJS installations or when you
# work in central server mode.

# The URL(s) where Solr should look for changed articles. If you
# want to collect articles from several OJS instances then separate
# the URLs by pipe symbols (|). Depending on your URL scheme you'll
# have to add '/index.php' or not (path-based URLs).
PULL_ENDPOINTS="$OJS_BASE_URL/index.php"

# The basic Solr URL.
#SOLR_URL="http://admin:please change@localhost:8983/solr/ojs"
# ajuste Jorge enero 26<:
SOLR_URL="http://solr:SolrRocks@localhost:8983/solr/ojs"

# The DIH endpoint URL points to the request handler on the Solr
# server that manages document upload. We assume by default that
# you're using an embedded deployment. If you have a central server
# deployment then you'll have to change this URL. Please change
# the HTTP BASIC password to the correct value. 
DIH_ENDPOINT="$SOLR_URL/dih"

# The following URL is used to tell Solr that external usage
# statistics data have been updated and must be reloaded.
RELOAD_EXT_FILE_ENDPOINT="$SOLR_URL/reloadExternalFiles"

# The following directories are used to maintain file processing
# queues. You can set them to whatever directory writable by the
# user that executes the pull.sh and load.sh scripts.

# The staging directory contains all files that have been downloaded
# from OJS instances but have not yet been processed.
PULL_STAGING_DIR="$OJS_FILES/lucene/pull/staging"

# The directory for rejected files contains files that could not be
# processed by the Solr import process. If you see files piling up
# there then you have to manually check logs and find out what was
# going wrong. After correcting the error you may simple move the
# files back to the staging directory and they'll automatically be
# processed.
PULL_REJECT_DIR="$OJS_FILES/lucene/pull/rejected"

# The archive directory contains all files that have been successfully
# processed. You should compress and/or move those files on a regular
# basis. You should not delete those files if you want to use them
# to re-play updates after an index crash. To do so, restore the index
# from a backup to the last state known to be good. Then move all files
# archived after the backup timestamp to the staging queue and they'll
# be automatically re-played.
PULL_ARCHIVE_DIR="$OJS_FILES/lucene/pull/archive"

# Lucene's index directory must be configured if you want to use the
# 'ranking by usage statistics' feature in a central server setting.
# By default we assume that the index is in the same directory as for
# an embedded installation.
PULL_LUCENE_INDEX_DIR="$OJS_FILES/lucene/data"

